#!/bin/bash

#trexei se minix3 sto VMware Player

#elegxos an dothike parametros
if [ -n "$1" ]
then
	#elegxoume an einai mesa sta oria kai arithmos
	if [ "$1" -ge 1 ] && [ "$1" -le 9 ]
	then
		#apothikevoume stin level tin parametro
		level=$1
	else
		#se lathos epistrefei minima kai termatizei
		echo "Mi epitrepti parametros. Termatismos"
		exit 1
	fi
else
	#se periptosi pou den dothei parametros thetoume to level iso me miden gia peretero elegxo argotera
	level=0
fi

#stin DATE apothikevoyme tin morfi tis imerominias poy theloume
DATE=$(date +%d_%m_%y)

#ipologizoyme ta letpa pou exoun perasei apo ta messanixta gia na ta xrisimopoiisoume os parametro stin find
let "min=$(date +%H)*60+$(date +%M)"

#i entoli find me parametrous gia na pernei ta arxeia tis meras i opia den doulevei sto minix3 alla doulevei ston diogeni
#find . -mmin -$min -type f ! -name 'Backup_of_*' -print
#enalaktika xrisimopoio find gia na vrisko arxeia ton telefteon 24 oron
find . -mtime -1 -type f ! -name 'Backup_of_*' -print

#entoli gia dimiourgeia tar me ta arxeia tis meras
find . -mtime -1 -type f ! -name 'Backup_of_*' | xargs tar -cvf Backup_of_$DATE.tar

#elegxos an iparxei o fakelos Backup
if [ ! -d ~/Backup ]
then
	#kai dimiourgia tou fakelou
	mkdir -p ~/Backup
fi

#elegxos an iparxei to bzip2
if [ -f /usr/local/bin/bzip2 ]
then
	#elegxos to level einai iso i megalitero tou 1 kai ara dothike sosti parametros
	if [ "$level" -ge 1 ]
	then
		#kalite i bzip2 me parametro to epipedo
		bzip2 -$level Backup_of_$DATE.tar
	else
		#stin periptosi default kalite i bzip xoris parametro
		bzip2 Backup_of_$DATE.tar
	fi
	#metakinisi tou dimiourgithentos bz2 arxeiou sto fakelo Backup
	mv Backup_of_$DATE.tar.bz2 ~/Backup
else
	#se periptosi pou den iparxei to bzip2 tiponete to antistixo minima
	echo "den iparxei to bzip2, sinexia me to .tar"
	#kai sinexizei tin metakinisi tou arxeiou .tar
	mv Backup_of_$DATE.tar ~/Backup
fi
